summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD14
-rw-r--r--gcc47.patch17
3 files changed, 31 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0286f3f5661..132d2f5f808 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,13 +1,16 @@
pkgbase = cccc
pkgdesc = C and C++ Code Counter, code metrics also for Ada and Java files
pkgver = 3.1.4
- pkgrel = 1
+ pkgrel = 2
url = http://cccc.sourceforge.net/
arch = i686
arch = x86_64
license = GPL
+ depends = gcc-libs
source = http://downloads.sourceforge.net/sourceforge/cccc/cccc-3.1.4.tar.gz
+ source = gcc47.patch
md5sums = 7bd3ad868913a0beab2fde931737f928
+ md5sums = e1d2cb39fcac3f3c14eaff4f1e8f2825
pkgname = cccc
diff --git a/PKGBUILD b/PKGBUILD
index 6d5bbcb0e14..c2cc14b82f0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,21 +1,27 @@
# Contributor: Johannes Dewender arch at JonnyJD dot net
pkgname=cccc
pkgver=3.1.4
-pkgrel=1
+pkgrel=2
pkgdesc="C and C++ Code Counter, code metrics also for Ada and Java files"
arch=('i686' 'x86_64')
url="http://cccc.sourceforge.net/"
+depends=('gcc-libs')
license=('GPL')
-source=(http://downloads.sourceforge.net/sourceforge/cccc/$pkgname-$pkgver.tar.gz)
-md5sums=('7bd3ad868913a0beab2fde931737f928')
+source=(http://downloads.sourceforge.net/sourceforge/cccc/$pkgname-$pkgver.tar.gz
+gcc47.patch)
+md5sums=('7bd3ad868913a0beab2fde931737f928'
+ 'e1d2cb39fcac3f3c14eaff4f1e8f2825')
build() {
cd "$srcdir/$pkgname-$pkgver"
+
sed -e 's/su root -c "make -f install.mak"/make -f install.mak/' \
-i makefile || return 1
sed -e 's:/usr/local/bin:'$pkgdir'/usr/bin:' \
-e 's/\$(MKDIR)/\$(MKDIR) -p/' -i install/install.mak || return 1
- make || return 1
+ patch -p1 < ../gcc47.patch
+
+ make -j 1 || return 1
make DESTDIR="$pkgdir/" install
}
diff --git a/gcc47.patch b/gcc47.patch
new file mode 100644
index 00000000000..22eff1637b6
--- /dev/null
+++ b/gcc47.patch
@@ -0,0 +1,17 @@
+From: Johannes Dewender <arch@JonnyJD.net>
+Date: Mon, 18 Feb 2013 19:05:01 +0100
+Subject: patch for gcc 4.7
+
+Index: ccccdist/cccc/cccc_tbl.cc
+===================================================================
+--- ccccdist/cccc/cccc_tbl.cc (revision 126)
++++ ccccdist/cccc/cccc_tbl.cc (working copy)
+@@ -96,7 +96,7 @@
+ typename map_t::iterator value_iterator=map_t::find(old_item_ptr->key());
+ if(value_iterator!=map_t::end())
+ {
+- erase(value_iterator);
++ this->erase(value_iterator);
+ retval=true;
+ }
+ return retval;